Get a list of available alerts

View as MarkdownOpen in Claude

Retrieve a list of all alerts attached to the provided account.

GET /iserver/account/{{ accountId }}/alerts

Path Parameters

accountId: String. Required
Identifier for the unique account to retrieve information from.
Value Format: “DU1234567”

1request_url = f"{baseUrl}/iserver/account/U1234567/alerts"
2requests.get(url=request_url)

Response Object:

Returns an array of comma-separated json objects

order_id: int.
The searchable order ID

account: String.
The account the alert was attributed to.

alert_name: String.
The requested name for the alert.

alert_active: int.
Determines if the alert is active or not

order_time: String.
UTC-formatted time of the alert’s creation.

alert_triggered: bool.
Confirms if the order is is triggered or not.

alert_repeatable: int.
Confirms if the alert is enabled to repeat.

[
{
"order_id": 9876543210,
"account": "U1234567",
"alert_name": "AAPL Price",
"alert_active": 1,
"order_time": "20231211-18:55:35",
"alert_triggered": false,
"alert_repeatable": 0
}
]